
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// hadamard --
//   Returns the Hadamard matrix of size n.
//   n is expected to be a power of 2.
// Arguments, input
//  n : the size of the matrix to return
// Reference
//  http://en.wikipedia.org/wiki/Hadamard_matrix
//
function a = hadamard ( n )
  a = makematrix_hadamard ( n );
endfunction

