
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// magic --
//   Returns the magic matrix of size n.
// Arguments, input
//  n : the size of the matrix to return
// Note : This is a port of Scilab's magic.f
// References
//   "Mathematical recreations and essays", 12th ed.,
//   by w. w. Rouse Ball and h. s. m. Coxeter
//
function a = magic ( n )
  a = makematrix_magic ( n );
endfunction

