
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_urandom --
//   Returns a uniform random matrix of size n
// Arguments
//   n : the size of the matrix
// Reference
//  Nicolas Higham, Accuracy and Stability of Numerical Algorithms
//  A Gallery of Test Matrices
// Note:
//  See Edelman's for properties of these matrices.
//  A random matrix is not typical...
//  The probability that a uniform random matrix has a good
//  condition number is low.
//
function m = makematrix_urandom ( n )
  m = rand(n,n)
endfunction

